{
  config,
  lib,
  pkgs,
  ...
}:
with lib;
{
  imports = [
    ./gaming.nix
    ./syncthing.nix
    ./kdeconnect.nix
    ./social.nix
  ];

  programs.seahorse.enable = true;
  security.pam.services.jade.enableGnomeKeyring = true;

  virtualisation.libvirtd.enable = true;

  programs.xss-lock = {
    enable = true;
    lockerCommand = "${pkgs.i3lock}/bin/i3lock -c 1d2021";
  };

  services.illum.enable = true;
  services.smartd = {
    enable = true;
    notifications.test = true;
  };

  home-manager.users.jade =
    { pkgs, ... }:
    {
      programs.ssh = {
        controlMaster = "yes";
      };
      home.packages = with pkgs; [
        just
        bacon

        magic-wormhole-rs

        # filemanager
        xfce.thunar
        xfce.tumbler
        xfce.thunar-archive-plugin
        file-roller

        # from environment.systemPackages cleanup
        virt-manager
        ddccontrol-db
      ];
    };
}
