{
  config,
  lib,
  pkgs,
  ...
}:
let
  cfg = config.jade.desktop.social;
in
with lib;
{
  options.jade.desktop.social = {
    enable = mkEnableOption "Enable social apps";
  };
  config = mkIf cfg.enable {
    home-manager.users.jade =
      {
        pkgs,
        pkgs-stable,
        ...
      }:
      {
        programs.nixcord = {
          enable = true;
          discord.enable = true;
          discord.vencord.enable = true;
          discord.autoscroll.enable = true;
          # vesktop = {
          #   enable = true;
          # autoScroll.enable = true;
          # };
          config = {
            frameless = true;
            disableMinSize = true;
            plugins = {
              alwaysTrust.enable = true;
              betterFolders.enable = true;
              betterGifAltText.enable = true;
              callTimer.enable = true;
              clearURLs.enable = true;
              fakeNitro.enable = true;
              forceOwnerCrown.enable = true;
              friendsSince.enable = true;
              fullSearchContext.enable = true;
              gameActivityToggle.enable = true;
              imageZoom.enable = true;
              implicitRelationships.enable = true;
              noDevtoolsWarning.enable = true;
              oneko.enable = true;
              petpet.enable = true;
              pictureInPicture.enable = true;
              previewMessage.enable = true;
              pronounDB.enable = true;
              relationshipNotifier.enable = true;
              serverInfo.enable = true;
              showMeYourName.enable = true;
              volumeBooster.enable = true;
              youtubeAdblock.enable = true;
            };
          };
        };
        home.packages = with pkgs; [

          signal-desktop
          mumble
          element-desktop
          pkgs.evolution-data-server-gtk4
          iamb
        ];
      };
    programs.evolution = {
      enable = true;
      plugins = [ pkgs.evolution-ews ];
    };
    services.gnome.evolution-data-server.enable = true;
    services.gnome.evolution-data-server.plugins = [ ];
  };
}
