{ pkgs, ... }:
{
  imports = [
    ./xwayland-sat.nix
    ./screenshot.nix
    ./input.nix
    ./binds.nix
    ./style.nix
    ./privacy.nix
    ./quirks.nix
  ];
  programs.niri.settings = {
    outputs."eDP-1" = {
      scale = 1.0;
    };

    spawn-at-startup = [
      {
        command = [
          "eww"
          "open-many"
          "topBar"
          "bottomBar"
        ];
      }
      {
        command = [
          "${pkgs.swaybg}/bin/swaybg"
          "-i"
          "${./wallpaper.jpg}"
          "-m"
          "fill"
        ];
      }
    ];
  };
}
