{
  pkgs,
  config,
  lib,
  ...
}:
with lib;
{
  options.jade.editors = {
    zed.enable = mkEnableOption "Enable Zed Editor";
  };
  config = mkIf config.jade.editors.zed.enable {
    home-manager.users.jade =
      { ... }:
      {
        programs.zed-editor = {
          enable = true;
          extraPackages = [
          ];
          extensions = [
            "discord-presence" # yes, i sunk that low
            "nix"
            "nu"
          ];
          userSettings = {
            features = {
              edit_prediction_provider = null;
            };
            show_edit_predictions = false;
            middle_click_paste = false;
            search = {
              regex = true;
            };
            inlay_hints = {
              enabled = true;
            };
            assistant = {
              version = "2";
              enabled = false;
            };
            diagnostics = {
              include_warnings = false;
              inline = {
                enabled = true;
                update_debounce_ms = 150;
                padding = 4;
                min_column = 0;
                max_severity = null;
              };
            };
            language_models = null;
            vim_mode = true;
            vim = {
              default_mode = "helix_normal";
            };
            # ui_font_size = 16;
            # WHY CAN I NOT OVERRIDE THIS
            # habt'a lack gesoffen?!
            # buffer_font_size = 16.;
          };
        };
      };
  };
}
