{
  pkgs,
  pkgs-stable,
  config,
  lib,
  ...
}:
let
  cfg = config.jade.desktop.media;
in
with lib;
{
  imports = [
    ./obs.nix
    ./fonts.nix
  ];
  options.jade.desktop.media.videoEditing = mkEnableOption "Enable Video editing software";
  config = {
    home-manager.users.jade =
      { pkgs, ... }:
      {
        imports = [ ./typst.nix ];
        home.packages = with pkgs; [
          # creative software basics
          pastel
          krita
          gimp
          drawing
          inkscape-with-extensions
          pixelorama
          rawtherapee
          scribus
          audacity
          blockbench

          # openscad-unstable
          # openscad-lsp

          imagemagick
          ffmpeg_7-full

          libreoffice

          # viewers
          pkgs-stable.font-manager
          yt-dlp

          syncplay

          vlc
          mpv
          evince
          nomacs
          jellyfin-media-player

          (mkIf cfg.videoEditing kdePackages.kdenlive)
          (mkIf cfg.videoEditing glaxnimate)
        ];
      };
  };
}
