{ pkgs, ... }:
{
  nixpkgs.config.packageOverrides = pkgs: {
    google-fonts = pkgs.google-fonts.overrideAttrs (oldAttrs: {
      src = pkgs.fetchFromGitHub {
        owner = "google";
        repo = "fonts";
        rev = "8a0041ea7b92e339a7ce13e4e1dadcc85cb8f5df";
        sha256 = "sha256-9TzeihEKIEDRtDuv+NmLWjTpoGnBR+RP/jIBfB1O06U=";
      };
      installPhase = oldAttrs.installPhase + "mv $out/share/fonts/truetype $out/share/fonts/ttf";
    });
  };

  fonts = {
    packages = with pkgs; [
      nerd-fonts.fira-code
      nerd-fonts.departure-mono
      google-fonts
      montserrat
      noto-fonts
      atkinson-hyperlegible
      arkpandora_ttf
      liberation_ttf
      caladea
      carlito
      garamond-libre
      ocr-a
      amiri
      libertine
      inter
      b612
      departure-mono
      yasashisa-gothic
    ];
    fontDir.enable = true;
  };

  home-manager.users.jade =
    { ... }:
    {
      fonts.fontconfig = {
        enable = true;
        defaultFonts = {
          emoji = [ ];
          monospace = [ ];
          sansSerif = [ "Atkinson Hyperlegible" ];
          serif = [ ];
        };
      };
    };
}
